std::chrono::tzdb_list::const_iterator(3cxx)

NAME
std::chrono::tzdb_list::const_iterator

SYNOPSIS

#include <chrono>

  Public Types

using difference_type
using iterator_category
using pointer
using reference
using value_type

  Public Member Functions

const_iterator (const const_iterator &)=default
const_iterator (const_iterator &&)=default
reference operator* () const noexcept
const_iterator & operator++ ()
const_iterator operator++ (int)
pointer operator-> () const noexcept
const_iterator & operator= (const const_iterator &)=default
const_iterator & operator= (const_iterator &&)=default
bool operator== (const const_iterator &) const noexcept=default

  Friends

class tzdb_list

Detailed Description

An iterator into the tzdb_list

As a extension, in libstdc++ each tzdb is reference-counted and the const_iterator type shares ownership of the object it refers to. This ensures that a tzdb erased from the list will not be destroyed while there is an iterator that refers to it.

Author

Generated automatically by Doxygen for libstdc++ from the source code.